on CDXSetCriteria x, a, b, C, d, e, f, g, h, i, j, k
  global CDXTable, CDXDB, CDXNothingfound
  set CDXTable to 0
  set CDXDB to 0
  set CDXfact to xtra("V12dbe")
  set CDXDB to new(CDXfact, the pathName & "PCWCDX.V12", "ReadWrite", "CDINDEX")
  if not objectp(CDXDB) then
    alert("Cannot create Database instance1. Err=" && CDXDB)
    exit
  end if
  set CDXfactTwo to xtra("V12table")
  set CDXTable to new(CDXfactTwo, mGetRef(CDXDB), "CDTABLE")
  if not objectp(CDXTable) then
    alert("Cannot create V12table instance2. Err=" && CDXTable)
  end if
  case x of
    1:
      if a = "database" then
        set err to mSetCriteria(CDXTable, "CD_PROD", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_DESC", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_ISSUE", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_SECT", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_CAT", b, C)
      else
        set err to mSetCriteria(CDXTable, a, b, C)
      end if
    2:
      if a = "database" then
        set err to mSetCriteria(CDXTable, "CD_PROD", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_DESC", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_ISSUE", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_SECT", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_CAT", b, C)
      else
        set err to mSetCriteria(CDXTable, a, b, C)
      end if
      set err to mSetCriteria(CDXTable, d, e, f, g)
    3:
      if a = "database" then
        set err to mSetCriteria(CDXTable, "CD_PROD", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_DESC", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_ISSUE", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_SECT", b, C)
        set err to mSetCriteria(CDXTable, "OR", "CD_CAT", b, C)
      else
        set err to mSetCriteria(CDXTable, a, b, C)
      end if
      set err to mSetCriteria(CDXTable, d, e, f, g)
      set err to mSetCriteria(CDXTable, h, i, j, k)
  end case
  CDXdoSelect()
  CDXAddSelection()
  if CDXNothingfound = 0 then
    CDXFieldResults()
    CDXShowResults()
  else
    case x of
      1:
        set the member of sprite 7 to member "CDXANDORYellow"
      2:
        set the member of sprite 11 to member "CDXANDORYellow"
    end case
  end if
end

on CDXdoSelect
  global CDXTable
  set err to mSelect(CDXTable)
end

on CDXAddSelection
  global CDXTable, CDXrecordsfound, CDXresultlist, CDXpageselect, CDXNothingfound, CDXSub
  set CDXresultlist to list()
  set CDXrecordsfound to mSelectCount(CDXTable)
  if CDXrecordsfound = 0 then
    set CDXNothingfound to 1
    set the member of sprite 32 to member "CDXNothingFound"
    set the loc of sprite 32 to point(295, 367)
    set the ink of sprite 32 to 36
    updateStage()
  else
    set CDXNothingfound to 0
    set temp to mGetPosition(CDXTable)
    mGoFirst(CDXTable)
    put EMPTY into field "CDXRESPROD"
    put EMPTY into field "CDXRESDesc"
    put EMPTY into field "CDXRESsection"
    put EMPTY into field "CDXRESCat"
    put EMPTY into field "CDXRESstatus"
    put EMPTY into field "CDXRESissue"
    repeat with i = 1 to CDXrecordsfound
      set Product to mGetField(CDXTable, "CD_PROD")
      set Desc to mGetField(CDXTable, "CD_DESC")
      set section to mGetField(CDXTable, "CD_SECTION")
      set Category to mGetField(CDXTable, "CD_CAT")
      set Status to mGetField(CDXTable, "CD_STATUS")
      set Issue to mGetField(CDXTable, "CD_ISSUE")
      addAt(CDXresultlist, count(CDXresultlist) + 1, [Product, Desc, Category, Status, section, Issue])
      mGoNext(CDXTable)
    end repeat
    if CDXrecordsfound > 18 then
      set CDXpageselect to 1
    else
      set CDXpageselect to 0
    end if
  end if
end
