on CDXShowResults
  global CDXpageselect, CDXrecordsfound, CDProdList, CDDescList, CDSectionList, CDCatlist, CDStatusList, CDIssueList, CDXResFieldsList, CDXSearchMasterList, CDXTitle
  set display to EMPTY
  put EMPTY into field "CDXRESPROD"
  repeat with g = 1 to count(CDProdList)
    set display to display & getAt(CDProdList, g) & RETURN
  end repeat
  put display into field "CDXRESPROD"
  set the textSize of member "CDXRESPROD" to 9
  set the boxType of member "CDXRESPROD" to #adjust
  if the machineType > 200 then
    set the textFont of member "CDXRESPROD" to "arial"
  else
    set the textFont of member "CDXRESPROD" to "geneva"
  end if
  set display to EMPTY
  put EMPTY into field "CDXRESDesc"
  repeat with g = 1 to count(CDDescList)
    set display to display & getAt(CDDescList, g) & RETURN
  end repeat
  put display into field "CDXRESDesc"
  set display to EMPTY
  set the textSize of member "CDXRESDesc" to 9
  set the boxType of member "CDXRESDesc" to #adjust
  if the machineType > 200 then
    set the textFont of member "CDXRESDesc" to "arial"
  else
    set the textFont of member "CDXRESDesc" to "geneva"
  end if
  put EMPTY into field "CDXRESsection"
  repeat with g = 1 to count(CDSectionList)
    set display to display & getAt(CDSectionList, g) & RETURN
  end repeat
  put display into field "CDXRESsection"
  set the textSize of member "CDXRESsection" to 9
  set the boxType of member "CDXRESsection" to #adjust
  if the machineType > 200 then
    set the textFont of member "CDXRESsection" to "arial"
  else
    set the textFont of member "CDXRESsection" to "geneva"
  end if
  set display to EMPTY
  put EMPTY into field "CDXRESCat"
  repeat with g = 1 to count(CDCatlist)
    set display to display & getAt(CDCatlist, g) & RETURN
  end repeat
  put display into field "CDXRESCat"
  set the textSize of member "CDXRESCat" to 9
  set the boxType of member "CDXRESCat" to #adjust
  if the machineType > 200 then
    set the textFont of member "CDXRESCat" to "arial"
  else
    set the textFont of member "CDXRESCat" to "geneva"
  end if
  set display to EMPTY
  put EMPTY into field "CDXRESstatus"
  repeat with g = 1 to count(CDStatusList)
    set display to display & getAt(CDStatusList, g) & RETURN
  end repeat
  put display into field "CDXRESstatus"
  set the textSize of member "CDXRESstatus" to 9
  set the boxType of member "CDXRESstatus" to #adjust
  if the machineType > 200 then
    set the textFont of member "CDXRESstatus" to "arial"
  else
    set the textFont of member "CDXRESstatus" to "geneva"
  end if
  set display to EMPTY
  put EMPTY into field "CDXRESissue"
  repeat with g = 1 to count(CDIssueList)
    set display to display & getAt(CDIssueList, g) & RETURN
  end repeat
  put display into field "CDXRESissue"
  set the textSize of member "CDXRESissue" to 9
  set the boxType of member "CDXRESissue" to #adjust
  if the machineType > 200 then
    set the textFont of member "CDXRESissue" to "arial"
  else
    set the textFont of member "CDXRESissue" to "geneva"
  end if
  if CDXpageselect > 0 then
    put "Table" && CDXpageselect && "of " && integer(CDXrecordsfound / 18) + 1 into field "CDpagexofy"
    set the textSize of member "CDPagexofy" to 12
    set the boxType of member "CDPagexofy" to #adjust
    if the machineType > 200 then
      set the textFont of member "CDPagexofy" to "arial"
    else
      set the textFont of member "CDPagexofy" to "geneva"
    end if
    set the textStyle of member "CDPagexofy" to "bold"
  else
    put "Table 1 of 1" into field "CDpagexofy"
  end if
  repeat with t = 1 to count(CDXSearchMasterList)
    if getAt(getAt(CDXSearchMasterList, t), 1) <> 31 then
      set the locH of sprite getAt(getAt(CDXSearchMasterList, t), 1) to 2000
    end if
  end repeat
  repeat with t = 1 to count(CDXResFieldsList)
    set the member of sprite getAt(getAt(CDXResFieldsList, t), 1) to member getAt(getAt(CDXResFieldsList, t), 5)
    set the loc of sprite getAt(getAt(CDXResFieldsList, t), 1) to point(getAt(getAt(CDXResFieldsList, t), 2), getAt(getAt(CDXResFieldsList, t), 3))
    set the ink of sprite getAt(getAt(CDXResFieldsList, t), 1) to getAt(getAt(CDXResFieldsList, t), 4)
  end repeat
  set the member of sprite CDXTitle to member "CDXResult"
  set the member of sprite 4 to member "CDXExplanation"
  set the loc of sprite 4 to point(262, 451)
  set the ink of sprite 4 to 36
  set the member of sprite 23 to member "CDXSomethingGraphic"
  set the loc of sprite 23 to point(209, 156)
  set the ink of sprite 23 to 36
  if CDXrecordsfound > 18 then
    set the castNum of sprite 31 to the number of member "CDXPREVIOUS"
    set the castNum of sprite 32 to the number of member "CDXNEXT"
    if CDXpageselect = (integer(CDXrecordsfound / 18) + 1) then
      set the locH of sprite 32 to 2000
    else
      set the loc of sprite 32 to point(95, 420)
    end if
  end if
  set the castNum of sprite 33 to the number of member "CDpagexofy"
  set the loc of sprite 33 to point(21, 388)
  set the ink of sprite 33 to 36
  updateStage()
end
